%global __requires_exclude      pear\\(tests/Net_Sieve/Sieve.php\\)|pear\\(tests/Net_Sieve/tests/config.php\\)
%define upstream_name Net_Sieve
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.4.7
Release:     	%mkrel 1
Summary:    	Handles talking to a sieve server
License: 	BSD
Group: 		Development/PHP
Source0:	https://pear.php.net/get/Net_Sieve-%{version}.tgz
URL: 		https://pear.php.net/package/Net_Sieve
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-Net_Socket >= 1.0
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
This package provides an API to talk to servers implementing the
managesieve protocol. It can be used to install and remove sieve scripts,
mark them active etc.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Sieve.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Sieve.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Sieve
fi

%files
%{peardir}/*
%{xmldir}/Net_Sieve.xml


%changelog
* Tue Apr 09 2024 mokraemer <mokraemer> 1.4.7-1.mga10
+ Revision: 2056254
- new version 1.4.7
- new version 1.4.7

* Fri Dec 02 2022 mokraemer <mokraemer> 1.4.6-1.mga9
+ Revision: 1914414
- new version 1.4.6

* Tue Mar 22 2022 umeabot <umeabot> 1.4.4-3.mga9
+ Revision: 1819366
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.4.4-2.mga8
+ Revision: 1522036
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 mokraemer <mokraemer> 1.4.4-1.mga7
+ Revision: 1357110
- new version 1.4.4

* Thu Sep 20 2018 umeabot <umeabot> 1.4.2-2.mga7
+ Revision: 1287851
- Mageia 7 Mass Rebuild

* Wed Feb 28 2018 mokraemer <mokraemer> 1.4.2-1.mga7
+ Revision: 1205781
- new version 1.4.2

* Tue Dec 19 2017 mokraemer <mokraemer> 1.4.1-1.mga7
+ Revision: 1183356
- new version

* Sun Mar 13 2016 spuhler <spuhler> 1.3.4-1.mga6
+ Revision: 990331
- upgrade to vers. 1.3.4

* Tue Feb 09 2016 umeabot <umeabot> 1.3.3-3.mga6
+ Revision: 951149
- Mageia 6 Mass Rebuild

* Tue Dec 09 2014 spuhler <spuhler> 1.3.3-2.mga5
+ Revision: 802421
- added %%global __requires_exclude  pear\\(tests/Net_Sieve/tests/config.php\\)

* Fri Dec 05 2014 spuhler <spuhler> 1.3.3-1.mga5
+ Revision: 801577
- upgrade to ver. 1.3.3
  * Fix notices from non-static calling of PEAR methods.
  * Fix reading OK responses with string literal messages.

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-7.mga5
+ Revision: 744550
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-6.mga5
+ Revision: 687390
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-5.mga4
+ Revision: 526730
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 spuhler <spuhler> 1.3.2-4.mga4
+ Revision: 438723
- Removed the dash in line Requires: php-pear-

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-3.mga3
+ Revision: 377031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 27 2012 spuhler <spuhler> 1.3.2-2.mga2
+ Revision: 202116
- added missing file as exceptions

* Sun Jan 22 2012 spuhler <spuhler> 1.3.2-1.mga2
+ Revision: 199917
- upgrade to 1.3.2
  pearized spec file

* Fri Jan 21 2011 spuhler <spuhler> 1.3.0-1.mga1
+ Revision: 27979
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Sieve

